# KSerializerForBukkit

open class KSerializerForBukkit<T : ConfigurationSerializable>(kClass: KClass<T>) : KSerializer<T>
Content copied to clipboard

## Functions

deserialize
Link copied to clipboard
open override fun deserialize(decoder: Decoder): T
Content copied to clipboard
serialize
Link copied to clipboard
open override fun serialize(encoder: Encoder, value: T)
Content copied to clipboard

## Properties

descriptor
Link copied to clipboard
open override val descriptor: SerialDescriptor
Content copied to clipboard

## Inheritors

ColorSerializer
Link copied to clipboard
BoundingBoxSerializer
Link copied to clipboard
ItemMetaSerializer
Link copied to clipboard
ItemStackSerializer
Link copied to clipboard
LocationSerializer
Link copied to clipboard
VectorSerializer
Link copied to clipboard